package com.template.model.weixin;

import lombok.Builder;

import java.util.Date;
import java.util.List;

@Builder
public class AuthorListGroup {

    public Integer id;
    public Integer parentId;
    public String name;
    public String userId;
    public String applyId;
    public Date updateTime;
    public String createUser;
    public String updateUser;
    public Integer deleted;
    public List<AuthorListGroup> authorListGroups;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getParentId() {
        return parentId;
    }

    public void setParentId(Integer parentId) {
        this.parentId = parentId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getApplyId() {
        return applyId;
    }

    public void setApplyId(String applyId) {
        this.applyId = applyId;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getCreateUser() {
        return createUser;
    }

    public void setCreateUser(String createUser) {
        this.createUser = createUser;
    }

    public String getUpdateUser() {
        return updateUser;
    }

    public void setUpdateUser(String updateUser) {
        this.updateUser = updateUser;
    }

    public Integer getDeleted() {
        return deleted;
    }

    public void setDeleted(Integer deleted) {
        this.deleted = deleted;
    }

    public List<AuthorListGroup> getAuthorListGroups() {
        return authorListGroups;
    }

    public void setAuthorListGroups(List<AuthorListGroup> authorListGroups) {
        this.authorListGroups = authorListGroups;
    }
}
